"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createInlineSpellingDictionary = void 0;
const util_1 = require("../util/util");
const createSpellingDictionary_1 = require("./createSpellingDictionary");
const FlagWordsDictionary_1 = require("./FlagWordsDictionary");
const IgnoreWordsDictionary_1 = require("./IgnoreWordsDictionary");
const SpellingDictionaryCollection_1 = require("./SpellingDictionaryCollection");
const SuggestDictionary_1 = require("./SuggestDictionary");
function createInlineSpellingDictionary(inlineDict, source) {
    const { words, flagWords, ignoreWords, suggestWords, name } = inlineDict;
    const dictSources = [
        words && (0, createSpellingDictionary_1.createSpellingDictionary)(words, name + '-words', source, inlineDict),
        flagWords && (0, FlagWordsDictionary_1.createFlagWordsDictionary)(flagWords, name + '-flag-words', source),
        ignoreWords && (0, IgnoreWordsDictionary_1.createIgnoreWordsDictionary)(ignoreWords, name + '-ignore-words', source),
        suggestWords && (0, SuggestDictionary_1.createSuggestDictionary)(suggestWords, name + '-suggest', source),
    ].filter(util_1.isDefined);
    return (0, SpellingDictionaryCollection_1.createCollection)(dictSources, name);
}
exports.createInlineSpellingDictionary = createInlineSpellingDictionary;
//# sourceMappingURL=createInlineSpellingDictionary.js.map